import React from 'react'
import { connect } from 'react-redux'
import { increment, decrement} from '../actions'

let Button = ({ count, increment, decrement}) => (

  <div >
    <h1>Counter: {count}</h1>
    <button onClick={increment}>Increment</button>
    <button onClick={decrement}>decrement</button>
  </div>

)

const mapStateToProps = (state) => ({
  count: state.count,
})

const mapDispatchToProps = (dispatch) => ({
  increment: () => {dispatch(increment())},
  decrement: () => {dispatch(decrement())},
})

Button = connect(
  mapStateToProps,
  mapDispatchToProps
)(Button)

export default Button;
