import React from 'react'
import { connect } from 'react-redux'
import { addToCart } from '../actions'

let Inventory = ({smartPhone, addToCart}) =>{

    const products = smartPhone.map((product) => 
        <ul>
            <p>{product.name} {product.price}</p>
            <button onClick={addToCart(product)}>Add to cart</button>
        </ul>
    )
    return(
    <div>
        <h1>This is Inventory</h1>
        <div>{products}</div>
    </div>
    )
}

const mapStateToProps = (state) => ({
    smartPhone: state.smartPhone,
})

const mapDispatchToProps = (dispatch) => ({
    addToCart: (phone)=>{dispatch(addToCart(phone))}
})

Inventory = connect(mapStateToProps,
    mapDispatchToProps)(Inventory)

export default Inventory